Subject: Re: bug#70090: Build failure

From: Konrad Podczeck <[email-masked]>
Date: Sun, 31 Mar 2024 16:11:21 +0200

Now I get a build failure with leim:

Loading leim/leim-list.el (source)...

Error: error ("Invalid byte opcode: op=0, ptr=0")
  cconv-make-interpreted-closure((lambda nil (progn (quail-defrule "ling2" 12295 nil t) (quail-defrule "wan2" 9675 nil t))) (t))
  (function (lambda nil (progn (quail-defrule "ling2" 12295 nil t) (quail-defrule "wan2" 9675 nil t))))
  (eval-after-load "quail/PY-b5" #'(lambda nil (progn (quail-defrule "ling2" 12295 nil t) (quail-defrule "wan2" 9675 nil t))))
  eval-buffer(#<buffer  *load*> nil "leim/leim-list.el" nil t)
  load-with-code-conversion("/Users/konradpodczeck/documents/emacs/lisp/leim/leim-list.el" "leim/leim-list.el" t nil)
  load("leim/leim-list.el" t)
  load("loadup.el")
Invalid byte opcode: op=0, ptr=0
make[1]: *** [emacs.pdmp] Error 255
make: *** [src] Error 2

> Am 30.03.2024 um 17:38 schrieb Eli Zaretskii <[email-masked]>:
> 
>> From: Konrad Podczeck <[email-masked]>
>> Date: Sat, 30 Mar 2024 15:50:23 +0100
>> 
>> With the code from today, 15.30, building Emacs failed, with the following error message:
>> 
>> 
>> Undefined symbols for architecture arm64:
>>  "_syms_of_json", referenced from:
>>      _main in emacs.o
>> ld: symbol(s) not found for architecture arm64
>> clang: error: linker command failed with exit code 1 (use -v to see invocation)
>> make[3]: *** [temacs] Error 1
>> make[2]: *** [src] Error 2
>> make[1]: *** [actual-bootstrap] Error 2
>> ***
>> *** "make bootstrap" failed with exit status 2.
>> 
>> make[1]: *** [advice-on-failure] Error 2
>> make: *** [bootstrap] Error 2
> 
> Please try again, I hope I fixed this.